CREATE TABLE cn_srp_per_form_metrics_int (
    SRP_PER_FORM_METRIC_ID    NUMBER(18, 0),
    SRP_COMP_PLAN_ID          NUMBER(18, 0)    NOT NULL,
    SRP_PLAN_COMPONENT_ID     NUMBER(18, 0)    NOT NULL,
    SRP_FORM_METRIC_ID        NUMBER(18, 0)    NOT NULL,
    COMP_PLAN_ID              NUMBER(18, 0),
    PLAN_COMPONENT_ID         NUMBER(18, 0)    NOT NULL,
    FORMULA_ID                NUMBER(18, 0)    NOT NULL,
    GOAL_ID                   NUMBER(18, 0),
    PARTICIPANT_ID            NUMBER(18, 0)    NOT NULL,
    PERIOD_ID                 NUMBER(18, 0)    NOT NULL,
    COMMISSION_PAID_PTD       NUMBER       ,
    COMMISSION_PAID_ITD       NUMBER       ,
    INPUT_ACHIEVED_PTD        NUMBER       ,
    INPUT_ACHIEVED_ITD        NUMBER       ,
    OUTPUT_ACHIEVED_PTD       NUMBER       ,
    OUTPUT_ACHIEVED_ITD       NUMBER       ,
    ADVANCE_RECOVERED_PTD     NUMBER       ,
    ADVANCE_RECOVERED_ITD     NUMBER       ,
    ADVANCE_TO_REC_PTD        NUMBER       ,
    ADVANCE_TO_REC_ITD        NUMBER       ,
    COMMISSION_PEND_PTD       NUMBER       ,
    COMMISSION_PEND_ITD       NUMBER       ,
    RECOVERY_AMOUNT_PTD       NUMBER       ,
    RECOVERY_AMOUNT_ITD       NUMBER       ,
    ROLLOVER                  NUMBER       ,
    TRANSACTION_AMOUNT_PTD    NUMBER       ,
    TRANSACTION_AMOUNT_ITD    NUMBER       ,
    CURRENCY_CODE             VARCHAR2(120),
    ATTRIBUTE_CATEGORY        VARCHAR2(120),
    ATTRIBUTE1                VARCHAR2(600),
    ATTRIBUTE2                VARCHAR2(600),
    ATTRIBUTE3                VARCHAR2(600),
    ATTRIBUTE4                VARCHAR2(600),
    ATTRIBUTE5                VARCHAR2(600),
    ATTRIBUTE6                VARCHAR2(600),
    ATTRIBUTE7                VARCHAR2(600),
    ATTRIBUTE8                VARCHAR2(600),
    ATTRIBUTE9                VARCHAR2(600),
    ATTRIBUTE10               VARCHAR2(600),
    ATTRIBUTE11               VARCHAR2(600),
    ATTRIBUTE12               VARCHAR2(600),
    ATTRIBUTE13               VARCHAR2(600),
    ATTRIBUTE14               VARCHAR2(600),
    ATTRIBUTE15               VARCHAR2(600),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    ORG_ID                    NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    WORKER_ID                 NUMBER       ,
    SRP_PER_FORM_METRIC_ID    NUMBER(18, 0),
    SRP_COMP_PLAN_ID          NUMBER(18, 0)    NOT NULL,
    SRP_PLAN_COMPONENT_ID     NUMBER(18, 0)    NOT NULL,
    SRP_FORM_METRIC_ID        NUMBER(18, 0)    NOT NULL,
    COMP_PLAN_ID              NUMBER(18, 0),
    PLAN_COMPONENT_ID         NUMBER(18, 0)    NOT NULL,
    FORMULA_ID                NUMBER(18, 0)    NOT NULL,
    GOAL_ID                   NUMBER(18, 0),
    PARTICIPANT_ID            NUMBER(18, 0)    NOT NULL,
    PERIOD_ID                 NUMBER(18, 0)    NOT NULL,
    COMMISSION_PAID_PTD       NUMBER       ,
    COMMISSION_PAID_ITD       NUMBER       ,
    INPUT_ACHIEVED_PTD        NUMBER       ,
    INPUT_ACHIEVED_ITD        NUMBER       ,
    OUTPUT_ACHIEVED_PTD       NUMBER       ,
    OUTPUT_ACHIEVED_ITD       NUMBER       ,
    ADVANCE_RECOVERED_PTD     NUMBER       ,
    ADVANCE_RECOVERED_ITD     NUMBER       ,
    ADVANCE_TO_REC_PTD        NUMBER       ,
    ADVANCE_TO_REC_ITD        NUMBER       ,
    COMMISSION_PEND_PTD       NUMBER       ,
    COMMISSION_PEND_ITD       NUMBER       ,
    RECOVERY_AMOUNT_PTD       NUMBER       ,
    RECOVERY_AMOUNT_ITD       NUMBER       ,
    ROLLOVER                  NUMBER       ,
    TRANSACTION_AMOUNT_PTD    NUMBER       ,
    TRANSACTION_AMOUNT_ITD    NUMBER       ,
    CURRENCY_CODE             VARCHAR2(120),
    ATTRIBUTE_CATEGORY        VARCHAR2(120),
    ATTRIBUTE1                VARCHAR2(600),
    ATTRIBUTE2                VARCHAR2(600),
    ATTRIBUTE3                VARCHAR2(600),
    ATTRIBUTE4                VARCHAR2(600),
    ATTRIBUTE5                VARCHAR2(600),
    ATTRIBUTE6                VARCHAR2(600),
    ATTRIBUTE7                VARCHAR2(600),
    ATTRIBUTE8                VARCHAR2(600),
    ATTRIBUTE9                VARCHAR2(600),
    ATTRIBUTE10               VARCHAR2(600),
    ATTRIBUTE11               VARCHAR2(600),
    ATTRIBUTE12               VARCHAR2(600),
    ATTRIBUTE13               VARCHAR2(600),
    ATTRIBUTE14               VARCHAR2(600),
    ATTRIBUTE15               VARCHAR2(600),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    ORG_ID                    NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    WORKER_ID                 NUMBER       ,
    CONSTRAINT pk_cn_srp_per_form_metrics_int PRIMARY KEY (SRP_PER_FORM_METRIC_ID, WORKER_ID, SRP_PER_FORM_METRIC_ID, WORKER_ID)
);
